<?php
namespace App\Services\Product\Cobon\CobonWays;

class CobonDiscountService
{
    private $cobon;

    public function __construct(CobonInterface $cobon)
    {
        $this->cobon = $cobon;
    }

    public function calculate($requestContent,$cobon)
    {
        return $this->cobon->calculate($requestContent,$cobon);
    }
}
